Subject: [SPIRITS] Re: [PINT] UDP support changed from SHOULD to MUST

From: Herman Silbiger <[email-masked]>
Date: Wed, 12 Jul 2000 10:33:24 -0400

Annex D to Rec. T.38 specifies SIP/SDP as an optional call establishment
metho, T.38. being the Group 3 fax over IP protocol.  Support for UDP is
mandatory (MUST) in T.38, so it is therefore logically a requirement for SDP.

Herman

Alec Brusilovsky wrote:

> Please see my comments inline.
>
> Regards,
> Alec
>
> Lawrence Conroy wrote:
>
> > *       UDP support changed from SHOULD to MUST in SIP 2453 bis draft.
> > It looks like support for UDP is gradually moving from a SHOULD to a
> > MUST in SIP.
> >
> > In PINT we may not have that assumption. We can have a good reason
> > for using TCP only (inline content, security using TLS, ...), so *for
> > PINT* I'd prefer to leave this as a SHOULD.
> >
>
> I would like to add to what Lawrence is saying that some SIP applications
> might need a more flexible and rapid session set up than others. PINT is a
> good example, SPIRITS might as well be another one, assuming that the WG
> will decide to use SIP.
>
> >
> > I wonder if the move to a MUST in the core spec will cause grief for
> > any other extension or application.
> >
> > The key point here is ->in the core spec<-
>
> Looks like the core spec. needs to be more accommodating to the needs of
> extensions (PINT). SHOULD is just fine. Why break something that actually
> works?
>
> >
> >
> > I had the same feeling at the Interim meeting in D.C. when the
> > subject of "Busy Line Verification" was raised - there's a lot of
> > focus on VoIP, when I can easily imagine SIP being used for a much
> > wider set of applications even for "straight" conferences; for
> > example, Quake, as Dean suggests.
> > Let's imagine an Operator listening in on the sampled Quake audio
> > track that I'm conferencing. How long before the Police arrive? An
> > over-emphasis on VoIP can lead to bad assumptions, IMHO - SIP is much
> > wider than that.
> > --
> > [email-masked] -- +44 1794 833666
> > -------------------------------------------------------------
> > Herewith a pointless waste of a few lines, stating that
> > Roke Manor Research Limited is NOT responsible for my rantings
> > and that they would very much like people to sue me rather than
> > them if this email contains racist or sexist comments, please.
> > Also, I can't do anything; only our lawyers can, so speak to them.
> > Oh, and by the way, if our I.T. department has so mangled our
> > email system that this has been misdirected, beware that having
> > read this far, your eyes are about to fall out from reading
> > this highly sensitive information, unless you immediately
> > forget that this ever darkened your mailbox. Do it now.
> > -------------------------------------------------------------
> >
> > _______________________________________________
> > PINT mailing list
> > [email-masked]
> > http://lists.bell-labs.com/mailman/listinfo/pint

_______________________________________________
SPIRITS mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/spirits